Bug 859348 - Exception is shown if using "rhc app --help" while the libra server is not available in conf file
Exception is shown if using "rhc app --help" while the libra server is not av...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 05:19 EDT by joycezhang
Modified: 2015-05-14 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-09-21 05:19:56 EDT
Description of problem:
Unfriendly expeption is shown as below if using "rhc app --help" or "rhc app create --help" while the libra server is not avaiable in express.conf.
# rhc app --help
Obtaining list of cartridges (please excuse the delay)...
/usr/share/ruby/net/http.rb:762:in `initialize': Connection refused - connect(2) (Errno::ECONNREFUSED)
    from /usr/share/ruby/net/http.rb:762:in `open'
    from /usr/share/ruby/net/http.rb:762:in `block in connect'
    from /usr/share/ruby/timeout.rb:68:in `timeout'
    from /usr/share/ruby/timeout.rb:99:in `timeout'
    from /usr/share/ruby/net/http.rb:762:in `connect'
    from /usr/share/ruby/net/http.rb:755:in `do_start'
    from /usr/share/ruby/net/http.rb:744:in `start'
    from /usr/local/share/gems/gems/rhc-0.99.2/lib/rhc-common.rb:376:in `http_post'
    from /usr/local/share/gems/gems/rhc-0.99.2/lib/rhc-common.rb:120:in `get_cartridges_list'
    from /usr/local/share/gems/gems/rhc-0.99.2/lib/rhc-common.rb:144:in `get_cartridge_listing'
    from /usr/local/share/gems/gems/rhc-0.99.2/bin/rhc-app:16:in `p_usage'
    from /usr/local/share/gems/gems/rhc-0.99.2/bin/rhc-app:500:in `<top (required)>'
    from /usr/local/bin/rhc-app:23:in `load'
    from /usr/local/bin/rhc-app:23:in `<main>'

Version-Release number of selected component (if applicable):
rhc-0.99.2.gem 

How reproducible:
always

Steps to Reproduce:
1. Keep an expired instance in ~/.openshift/express.conf like "ec2-184-72-194-136.compute-1.amazonaws.com"
2. Run "rhc app --help" or "rhc app create --help"
  
Actual results:
Exception is shown.

Expected results:
Help contents are shown correctly without error.

Additional info:
Other rhc commands can work fine.
Comment 1 John (J5) Palmieri 2012-10-04 10:53:05 EDT
fixed in fork
Comment 2 Chandrika Gole 2012-10-04 17:46:53 EDT
verified in fork

Note You need to log in before you can comment on or make changes to this bug.